Bug 239960 - emulators/cannonball: Update to g20190819
Summary: emulators/cannonball: Update to g20190819
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Santhosh Raju
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-19 03:22 UTC by Santhosh Raju
Modified: 2019-09-03 02:54 UTC (History)
1 user (show)

See Also:


Attachments
Improvements to the ports script and a man page. (6.74 KB, patch)
2019-08-19 03:22 UTC, Santhosh Raju
santhosh.raju: maintainer-approval+
Details | Diff
Patch to upgrade the ports script to support cannonball-g20190819 builds (3.76 KB, patch)
2019-08-19 14:17 UTC, Santhosh Raju
santhosh.raju: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Santhosh Raju 2019-08-19 03:22:29 UTC
Created attachment 206686 [details]
Improvements to the ports script and a man page.

I have updated some sections of the cannonball ports script, the changes include

1. Updated the patches to be generic enough to include the BSDs. 

The CMakeLists.txt and bsd.cmake do not assume the type of BSD, and takes in a BSD_PREFIX_PATH has a variable to determine where the program needs to be installed

2. Added a small man page on cannonball.

The man page describes how to configure cannonball once it is installed.

Both the changes have been shared with the upstream and hopefully they accept it.
Comment 1 Santhosh Raju 2019-08-19 14:17:21 UTC
Created attachment 206701 [details]
Patch to upgrade the ports script to support cannonball-g20190819 builds

Looks like the upstream has merged the changes and I have updated cannonball to build from the latest commit.

Changes since cannonball-g20171201

1. Removes files/patch-cmake_bsd.cmake and files/patch-cmake_CMakeLists.txt since these are now available upstream.

2. Removes files/cannonball.6.in since the man page is now available upstream.

It would be nice to have the changes applied to the ports tree.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-20 09:34:31 UTC
^Triage: maintainer-feedback (+) only required when requested/set (to ?) first
Comment 3 commit-hook freebsd_committer 2019-09-03 02:49:53 UTC
A commit references this bug:

Author: fox
Date: Tue Sep  3 02:49:47 UTC 2019
New revision: 510915
URL: https://svnweb.freebsd.org/changeset/ports/510915

Log:
  emulators/cannonball: Update to g20190819

  - Updates MAINTAINER email

  Changes since cannonball-g20171201:

  1. Removes files/patch-cmake_bsd.cmake and files/patch-cmake_CMakeLists.txt
     since these are now merged with upstream.
  2. Removes files/cannonball.6.in since the man page is now available upstream.

  PR:		239960
  Approved by:	philip (mentor)

Changes:
  head/emulators/cannonball/Makefile
  head/emulators/cannonball/distinfo
  head/emulators/cannonball/files/patch-cmake_CMakeLists.txt
  head/emulators/cannonball/files/patch-cmake_bsd.cmake
  head/emulators/cannonball/pkg-plist
Comment 4 Santhosh Raju freebsd_committer 2019-09-03 02:54:27 UTC
Committed the changes to head.